GenericHybridParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cms

## Class GenericHybridParameters

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.GenericHybridParameters

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class GenericHybridParameters
      extends ASN1Object

  RFC 5990 GenericHybridParameters class.

       GenericHybridParameters ::= SEQUENCE {
          kem  KeyEncapsulationMechanism,
          dem  DataEncapsulationMechanism
       }

       KeyEncapsulationMechanism ::= AlgorithmIdentifier {{KEMAlgorithms}}
       DataEncapsulationMechanism ::= AlgorithmIdentifier {{DEMAlgorithms}}

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericHybridParameters(AlgorithmIdentifier kem, AlgorithmIdentifier dem)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AlgorithmIdentifier` | `getDem()`
    `static GenericHybridParameters` | `getInstance(java.lang.Object o)`
    `AlgorithmIdentifier` | `getKem()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericHybridParameters

          public GenericHybridParameters(AlgorithmIdentifier kem,
                                         AlgorithmIdentifier dem)

  - ### Method Detail

    - #### getInstance

          public static GenericHybridParameters getInstance(java.lang.Object o)

    - #### getDem

          public AlgorithmIdentifier getDem()

    - #### getKem

          public AlgorithmIdentifier getKem()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.